package com.yonge.cooleshow.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_oauth_client_details):
 */
public class SysOauthClientDetails {

	/** 客户端ID */
	@ApiModelProperty(value = "客户端ID",required = false)
	private String id;
	
	/** 资源ID */
	@ApiModelProperty(value = "资源ID",required = false)
	private String resourceIds;
	
	/** 客户端密钥 */
	@ApiModelProperty(value = "客户端密钥",required = false)
	private String clientSecret;
	
	/** 作用域 */
	@ApiModelProperty(value = "作用域",required = false)
	private String scope;
	
	/** 授权方式 */
	@ApiModelProperty(value = "授权方式",required = false)
	private String authorizedGrantTypes;
	
	/**  */
	private String webServerRedirectUri;
	
	/**  */
	private String authorities;
	
	/** 请求令牌有效时间 */
	@ApiModelProperty(value = "请求令牌有效时间",required = false)
	private Integer accessTokenValidity;
	
	/** 刷新令牌有效时间 */
	@ApiModelProperty(value = "刷新令牌有效时间",required = false)
	private Integer refreshTokenValidity;
	
	/** 扩展信息 */
	@ApiModelProperty(value = "扩展信息",required = false)
	private String additionalInformation;
	
	/** 是否自动放行 */
	@ApiModelProperty(value = "是否自动放行",required = false)
	private String autoapprove;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public void setResourceIds(String resourceIds){
		this.resourceIds = resourceIds;
	}
	
	public String getResourceIds(){
		return this.resourceIds;
	}
			
	public void setClientSecret(String clientSecret){
		this.clientSecret = clientSecret;
	}
	
	public String getClientSecret(){
		return this.clientSecret;
	}
			
	public void setScope(String scope){
		this.scope = scope;
	}
	
	public String getScope(){
		return this.scope;
	}
			
	public void setAuthorizedGrantTypes(String authorizedGrantTypes){
		this.authorizedGrantTypes = authorizedGrantTypes;
	}
	
	public String getAuthorizedGrantTypes(){
		return this.authorizedGrantTypes;
	}
			
	public void setWebServerRedirectUri(String webServerRedirectUri){
		this.webServerRedirectUri = webServerRedirectUri;
	}
	
	public String getWebServerRedirectUri(){
		return this.webServerRedirectUri;
	}
			
	public void setAuthorities(String authorities){
		this.authorities = authorities;
	}
	
	public String getAuthorities(){
		return this.authorities;
	}
			
	public void setAccessTokenValidity(Integer accessTokenValidity){
		this.accessTokenValidity = accessTokenValidity;
	}
	
	public Integer getAccessTokenValidity(){
		return this.accessTokenValidity;
	}
			
	public void setRefreshTokenValidity(Integer refreshTokenValidity){
		this.refreshTokenValidity = refreshTokenValidity;
	}
	
	public Integer getRefreshTokenValidity(){
		return this.refreshTokenValidity;
	}
			
	public void setAdditionalInformation(String additionalInformation){
		this.additionalInformation = additionalInformation;
	}
	
	public String getAdditionalInformation(){
		return this.additionalInformation;
	}
			
	public void setAutoapprove(String autoapprove){
		this.autoapprove = autoapprove;
	}
	
	public String getAutoapprove(){
		return this.autoapprove;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
